# Memory Buffer Transform

**API Group:** `xmlsec_core_membuf`

In-memory buffer transform for capturing transform output.

Memory buffer transform functions.

## Macros

### `xmlSecTransformMemBufId`

*Defined as:* `xmlSecTransformMemBufGetKlass()`

*Source:* [include/xmlsec/membuf.h](https://github.com/lsh123/xmlsec/blob/1.3.12/include/xmlsec/membuf.h#L30)

The Memory Buffer transform klass.

---

## Functions

### `xmlSecTransformMemBufGetKlass`

```c
xmlSecTransformId xmlSecTransformMemBufGetKlass(void);
```

*Source:* [include/xmlsec/membuf.h](https://github.com/lsh123/xmlsec/blob/1.3.12/include/xmlsec/membuf.h#L32)

The memory buffer transform (used to store the data that go through it).

**Returns:** memory buffer transform klass.

---

### `xmlSecTransformMemBufGetBuffer`

```c
xmlSecBufferPtr xmlSecTransformMemBufGetBuffer(xmlSecTransformPtr transform);
```

*Source:* [include/xmlsec/membuf.h](https://github.com/lsh123/xmlsec/blob/1.3.12/include/xmlsec/membuf.h#L33)

Gets the pointer to memory buffer transform buffer.

**Parameters:**

- `transform` — the pointer to memory buffer transform.


**Returns:** pointer to the transform's xmlSecBuffer.

---
